#ifndef VISIONDEFS_H
#define VISIONDEFS_H

/***********************************************
* Definions to Vision Functions and Parameters *
***********************************************/

/*
depth:: Bit depth of image elements. Can be one of:
IPL_DEPTH_8U - unsigned 8-bit integers
IPL_DEPTH_8S - signed 8-bit integers
IPL_DEPTH_16U - unsigned 16-bit integers
IPL_DEPTH_16S - signed 16-bit integers
IPL_DEPTH_32S - signed 32-bit integers
IPL_DEPTH_32F - single precision floating-point numbers
IPL_DEPTH_64F - double precision floating-point numbers

channels:: Number of channels per element(pixel). Can be 1, 2, 3 or 4.
*/

struct HSVColour
{
	int Hlow;
	int Hhigh;
	int Slow;
	int Shigh;
	int Vlow;
	int Vhigh;
};

#define ORANGE (HSVColour)orange = {60, 60, 170, 256, 200, 256};

/*COLOURS*/
#define WHITE	0
#define YELLOW	0
// #define ORANGE	0
#define RED	0
#define GREEN	0
#define BLUE	0
#define BLACK	0

/*SHAPES*/
#define CIRCLE "circle"
#define SQUARE "square"
#define RECT "rectangle"
#define TRI "triangle"

#endif
